#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xe8c3cd35, "module_layout" },
	{ 0x1358868a, "rt2x00mac_get_ringparam" },
	{ 0x82b2334, "rt2x00mac_get_antenna" },
	{ 0x7d469366, "rt2x00mac_set_antenna" },
	{ 0xa7a3d3b4, "rt2x00mac_flush" },
	{ 0xee09caf5, "rt2x00mac_rfkill_poll" },
	{ 0x24907089, "rt2x00mac_conf_tx" },
	{ 0x57905ca8, "rt2x00mac_get_stats" },
	{ 0x500260c6, "rt2x00mac_sw_scan_complete" },
	{ 0x41c28ce0, "rt2x00mac_sw_scan_start" },
	{ 0x2c0429e6, "rt2x00mac_set_key" },
	{ 0xf64e9111, "rt2x00mac_set_tim" },
	{ 0x74a3ccb6, "rt2x00mac_configure_filter" },
	{ 0x3d75e4a7, "rt2x00mac_bss_info_changed" },
	{ 0xcc079e6a, "rt2x00mac_config" },
	{ 0xa5cbf0b3, "rt2x00mac_remove_interface" },
	{ 0x1650d921, "rt2x00mac_add_interface" },
	{ 0x164b739f, "rt2x00mac_stop" },
	{ 0x2411a688, "rt2x00mac_start" },
	{ 0xf4efe740, "rt2x00mac_tx" },
	{ 0xdb379daa, "rt2x00usb_flush_queue" },
	{ 0x1a74678, "rt2x00usb_kick_queue" },
	{ 0x96e02dab, "rt2x00usb_watchdog" },
	{ 0x42ae4907, "rt2x00usb_clear_entry" },
	{ 0x4a963e47, "rt2x00usb_uninitialize" },
	{ 0x6f5a802d, "rt2x00usb_initialize" },
	{ 0x5bb07b38, "rt2x00usb_resume" },
	{ 0xa803afcc, "rt2x00usb_suspend" },
	{ 0x47d18f48, "rt2x00usb_disconnect" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0xa72a4b7a, "usb_register_driver" },
	{ 0x12da5bb2, "__kmalloc" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xe2f50a43, "rt2x00usb_disable_radio" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb324e61b, "rt2x00usb_vendor_request" },
	{ 0x4ed21a86, "consume_skb" },
	{ 0x4e56ffa6, "usb_submit_urb" },
	{ 0x82f93e40, "skb_push" },
	{ 0x233cb521, "skb_trim" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8e2c80b3, "rt2x00usb_vendor_request_buff" },
	{ 0xf2a2d4c5, "mutex_unlock" },
	{ 0xa1141375, "mutex_lock" },
	{ 0x50eedeb8, "printk" },
	{ 0xce606db7, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4aa84660, "rt2x00usb_probe" },
	{ 0xdb86386f, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "31777CC16E7E885496426F4");
